<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>JS Repetition Control Structures</title>

	<!-- bootstrap CSS -->
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
</head>
<body>

	<div class="m-5">
		<h2>Repetition Control Structures</h2>
		<div class="row">
			<div class="col-4">
				<div class="form-group">
					<label for="task1">While Loop</label>
					<!-- get user info -->
					<input type="number" name="task1" id="task1" class="form-control">
					<!-- start the process -->
					<button type="submit" class="btn btn-primary btn-block mt-5" onclick="countUsingWhile()">Enter 1</button>
					<!-- display the message to the user if the value is NOT valid. -->
					<p class= "text-danger" id="message"></p>
				</div>
			</div>
			<div class="col-4">
				<div class="form-group">
					<label for="task2">Do-While Loop</label>

					<!-- get the user info -->
					<input type="number" name="" id="task2" class="form-control">

					<!-- start the process -->
					<button type="submit" class="btn btn-primary btn-block mt-5" onclick="countUsingDoWhile()">Enter 2</button>

					<h5 class="text-danger" id="info"></h5>
				</div>
			</div>
			<div class="col-4">
				<div class="form-group">
					<label for="">For Loop</label>

					<input type="number" name="task3" id="task3" class="form-control">


					<button type="submit" class="btn btn-primary btn-block mt-5" onclick="countUsingForLoop()">Enter 3</button>

					<p class="text-muted" id="response"></p>
				</div>
			</div>
		</div>

		<div class="row">
			<!-- Accessing elements in a string -->
			<div class="form-group col-4">
				<h1>Accessing Elements of a string</h1>

				<input type="text" name="name" id="userName" placeholder="Insert Name Here" class="form-control">
				<button type="submit" id="getString" class="btn btn-primary" onclick="accessElementInString()">Get Letters of the Name</button>
				<p class="text-success mt-5" id="stringLength"></p>
			</div>
			<!-- palindrome checker -->
			<div class="form-group col-4">
				<h1>Identify Palindrome</h1>

				<input type="text" name="word" id="word" placeholder="Insert Word here" class="form-control">

				<button type="submit" id="detectWord" class="btn btn-primary mt-2" onclick="detectPalindrome()">Detect Palindrome</button>
				<p class="mt-5" id="detectPalindrome"></p>
			</div>
			<!-- get all odd numbers in a series -->
			<div class="form-group col-4">
				<h1>Get All Odd Numbers</h1>

				<input type="number" name="value4" id="value4" placeholder="Insert Number here" class="form-control">

				<button type="submit" id="getOdd" class="btn btn-primary mt-2" onclick="getOddNumbers()">Get All Odd Numbers</button>
				<p class="mt-5" id="getOddNum"></p>
			</div>

				<!-- display the length of the string -->

		</div>

	</div>



	<script src="./index.js"></script>


	<!-- JS BUNDLE -->
	
	
</body>
</html>